package cn.iocoder.yudao.module.order.convert.orderDeparture;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.order.vo.orderDeparture.*;
import cn.iocoder.yudao.module.order.dal.dataobject.orderDeparture.OrderDepartureDO;

/**
 * 订单始发仓库 Convert
 * @author 系统管理员
 */
@Mapper
public interface OrderDepartureConvert {
    /*****转换MapStruct*****/
    OrderDepartureConvert INSTANCE = Mappers.getMapper(OrderDepartureConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    OrderDepartureDO convert(OrderDepartureCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    OrderDepartureDO convert(OrderDepartureUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    OrderDepartureBackVO convert(OrderDepartureDO bean);

    /***
     * 返回VO转实体
     * @param bean
     * @return
     */
    OrderDepartureDO convert(OrderDepartureBackVO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<OrderDepartureBackVO> convertList(List<OrderDepartureDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<OrderDepartureBackVO> convertPage(PageResult<OrderDepartureDO> page);
}
